Bug 251914 - SELInux error during mailman operation
SELInux error during mailman operation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 09:27 EDT by Paul Thompson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 13:07:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Thompson 2007-08-13 09:27:28 EDT
Description of problem:
SELinux alert prevents mailman from succesfull hostname change operation

Version-Release number of selected component (if applicable):
mailman.i386                             3:2.1.9-5              installed       
selinux-policy.noarch                    2.6.4-30.fc7           installed  

How reproducible:
Change website hostname setting in /etc/mailman/mm_cfg.py. Upon restart mailman
throws error.
I suspect mailman is trying to update the hostname in its generated pages, as
the change I made has had no effect.
Otherwise, mailman seems to work, no error evident in log files.

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:
Summary
    SELinux is preventing python (mailman_cgi_t) "search" to httpd
    (httpd_config_t).

Detailed Description
    SELinux denied access requested by python. It is not expected that this
    access is required by python and this access may signal an intrusion
    attempt. It is also possible that the specific version or configuration of
    the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for httpd, restorecon -v httpd If
    this does not work, there is currently no automatic way to allow this
    access. Instead,  you can generate a local policy module to allow this
    access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you
    can disable SELinux protection altogether. Disabling SELinux protection is
    not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:mailman_cgi_t
Target Context                system_u:object_r:httpd_config_t
Target Objects                httpd [ dir ]
Affected RPM Packages         
Policy RPM                    selinux-policy-2.6.4-30.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     sally.thompson
Platform                      Linux sally.thompson 2.6.22.1-41.fc7 #1 SMP Fri
                              Jul 27 18:10:34 EDT 2007 i686 athlon
Alert Count                   4
First Seen                    Mon 13 Aug 2007 01:24:33 PM BST
Last Seen                     Mon 13 Aug 2007 01:34:25 PM BST
Local ID                      342bd719-1581-4221-90a3-379efc46fcdc
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm="python" dev=dm-0 egid=41 euid=48
exe="/usr/bin/python" exit=-13 fsgid=41 fsuid=48 gid=41 items=0 name="httpd"
pid=7107 scontext=system_u:system_r:mailman_cgi_t:s0 sgid=41
subj=system_u:system_r:mailman_cgi_t:s0 suid=48 tclass=dir
tcontext=system_u:object_r:httpd_config_t:s0 tty=(none) uid=48



Expected results:
No SELinux error

Additional info:
Comment 1 Daniel Walsh 2007-08-14 07:53:07 EDT
Fixed in selinux-policy-2.6.4-38
Comment 2 Daniel Walsh 2007-09-12 13:07:59 EDT
Moving modified bugs to closed

Note You need to log in before you can comment on or make changes to this bug.